Subject: Re: linux-next: manual merge of the tip tree with the vfs tree

From: Reinette Chatre <[email-masked]>
Date: Fri, 22 Jun 2018 08:09:21 -0700

Hi Thomas,

On 6/22/2018 6:39 AM, Thomas Gleixner wrote:
> On Fri, 22 Jun 2018, Al Viro wrote:
>> On Fri, Jun 22, 2018 at 01:45:23PM +0100, David Howells wrote:
>>> Reinette Chatre <[email-masked]> wrote:
>>>
>>>> Thomas and David, please let me know what I can do from my side to help
>>>> with this.
>>>
>>> You could try basing on Al Viro's for-next tree which has the mount API
>>> changes in it.
>>
>> Umm...  That would be a massive headache for everyone involved; the changes
>> in there have very little in common with what you are doing in rdt_mount(),
>> so it might make sense to start with a minimal never-rebased branch that
>> would
>> 	* define rdt_pseudo_lock_init as 0
>> 	* define rdt_pseudo_lock_release as empty
>> 	* do the rdt_mount() part of a3dbd01e6c9d
>> 	* have commit message along the lines of
>> "hooks in rdt_mount() for rdt_pseudo_lock to use
>>
>> Functionally a no-op right now; the only reason for having that
>> as a never-rebased branch to get rdt_pseudo_lock and mount series
>> out of each other's hair"
>>
>> Base that on -rc1, then pull it into your rdt branch and David could pull the
>> same into his.
> 
> Yes, that works.
> 
> Reinette, can you please look into creating that ordering. Then we just zap
> the existing branch and redo it with this scheme.

Will do. How would you prefer to consume this to make the branches
simple to create? Is it ok if I create a new patch series with Al's
suggestion above as the first commit?

The original pseudo-locking patch series consisted out of two sections
with the pseudo-locking specific parts starting in the middle. If I
create a new series with the above change then it will not be cleanly
separate anymore. Is that ok?

Reinette